package com.jw.app.business.content;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface ContentDAO {
	
    void insert_content(Map<String,Object> entity) throws BusinessException ;
	
	void update_content(Map<String,Object> entity) throws BusinessException ;
	
	void delete_content(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_content(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_content(Map<String,Object> query) throws BusinessException ;
    
    int listCount_content(Map<String, Object> query) throws BusinessException ;

}
